Cross-chain

Cross-chain messages and actions.

Cross transactions actions

GEThttps://api.routescan.io/v2/network/{networkId}/evm/cross-transactions/actions
GET
ecosystemstringoptional
includedChainIdsarray<string>optional
excludedChainIdsarray<string>optional
https://api.routescan.io/v2/network/mainnet/evm/cross-transactions/actions?chainId=43114&sort=desc&limit=25&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/cross-transactions/actions?chainId=43114&sort=desc&limit=25' \
2 -H 'apikey: YourApiKeyToken'
1{
2 items: {
3 id: string;
4 type: "superchainWETH" | "superchainTokenBridge" | "opL1StandardBridge" | "opDeposited" | "dexalotBridge" | "taikoETHTransfer" | "taikoERC20Vault" | "taikoERC721Vault" | "omniBridge" | "avalancheBTCBridge" | "avalancheETHBridge" | "synapse" | "genericTransfer" | "ICTT" | "OFT" | "ambOmnibridge" | "CCTPTokenMessenger" | "nearIntent" | "superswaps" | "hyperlane" | "eil" | "fAssetsMint" | "fAssetsDirectMint" | "fAssetsRedeem";
5 status: "completed" | "pending" | "failed" | "ready_to_prove";
6 srcChainId: string;
7 srcTimestamp: string; // date-time
8 srcTxHash?: string;
9 srcBlockNumber?: string;
10 srcBlockHash?: string;
11 srcGasLimit?: string;
12 dstChainId: string;
13 dstTimestamp: string; // date-time
14 dstTxHash?: string;
15 dstBlockNumber?: string;
16 dstBlockHash?: string;
17 dstGasLimit?: string;
18 from?: {
19 id: string;
20 name?: string;
21 alias?: string;
22 dapp?: {
23 alias: string;
24 description?: string;
25 socialProfile?: {
26 items: {
27 type: string;
28 title?: string;
29 value: string;
30 }[];
31 };
32 icon?: string;
33 alert?: string;
34 tags?: string[];
35 };
36 owner?: string;
37 icon?: string;
38 url?: string;
39 iconUrls?: {
40 32?: string;
41 64?: string;
42 256?: string;
43 1024?: string;
44 };
45 description?: string;
46 unlock_date?: string; // date-time
47 tags?: string[];
48 symbol?: string;
49 resourceId?: string;
50 reputation?: string;
51 bridge?: string;
52 bridged_token?: string;
53 bridged_chain?: string;
54 bridged_cousins?: string;
55 blacklist?: boolean;
56 supertype?: string;
57 similar?: string[];
58 similar_token?: string[];
59 isContract?: boolean;
60 ensReverseLookups?: {
61 chainId: string;
62 name?: string;
63 }[];
64 avvyReverseLookup?: {
65 chainId: string;
66 name?: string;
67 };
68 socialProfile?: {
69 items: {
70 type: string;
71 title?: string;
72 value: string;
73 }[];
74 };
75 };
76 to?: {
77 id: string;
78 name?: string;
79 alias?: string;
80 dapp?: {
81 alias: string;
82 description?: string;
83 socialProfile?: {
84 items: {
85 type: string;
86 title?: string;
87 value: string;
88 }[];
89 };
90 icon?: string;
91 alert?: string;
92 tags?: string[];
93 };
94 owner?: string;
95 icon?: string;
96 url?: string;
97 iconUrls?: {
98 32?: string;
99 64?: string;
100 256?: string;
101 1024?: string;
102 };
103 description?: string;
104 unlock_date?: string; // date-time
105 tags?: string[];
106 symbol?: string;
107 resourceId?: string;
108 reputation?: string;
109 bridge?: string;
110 bridged_token?: string;
111 bridged_chain?: string;
112 bridged_cousins?: string;
113 blacklist?: boolean;
114 supertype?: string;
115 similar?: string[];
116 similar_token?: string[];
117 isContract?: boolean;
118 ensReverseLookups?: {
119 chainId: string;
120 name?: string;
121 }[];
122 avvyReverseLookup?: {
123 chainId: string;
124 name?: string;
125 };
126 socialProfile?: {
127 items: {
128 type: string;
129 title?: string;
130 value: string;
131 }[];
132 };
133 };
134 crossMessageId?: string;
135 actionType?: "GasGasBridge" | "ERC20GasBridge" | "GasERC20Bridge" | "ERC20ERC20Bridge" | "ERC721ERC721Bridge" | "VoidERC20Bridge" | "ERC20VoidBridge" | "ERC1155ERC1155Bridge" | "ArbitraryFunction";
136 data: {
137 srcToken?: {
138 chainId: string;
139 blockchainId?: string;
140 ecosystems?: string[];
141 address: string;
142 name?: string;
143 symbol?: string;
144 decimals?: number;
145 totalSupply?: string; // bigint
146 price?: string; // bigint
147 priceChange1h?: string; // bigint
148 priceChange24h?: string; // bigint
149 recentMarketPrices?: Record<string, unknown>;
150 marketCap?: string; // bigint
151 volumeUsd24h?: string; // bigint
152 createdAt?: string; // date-time
153 txHash?: string;
154 detail?: {
155 alert?: {
156 description?: string;
157 activeFrom?: string;
158 activeUntil?: string;
159 color?: string;
160 };
161 name?: string;
162 alias?: string;
163 unlock_date?: string; // date-time
164 description?: string;
165 link?: string;
166 icon?: string;
167 iconUrls?: {
168 32?: string;
169 64?: string;
170 256?: string;
171 1024?: string;
172 };
173 type?: string;
174 symbol?: string;
175 reputation?: Record<string, unknown>;
176 bridge?: string;
177 bridged_token?: string;
178 blacklist?: boolean;
179 similar?: string[];
180 similar_token?: string[];
181 supertype?: string;
182 isBridge?: boolean;
183 isContract?: boolean;
184 bridged_chain?: {
185 name?: string;
186 logo?: string;
187 chain_id_evm?: string;
188 external_url?: string;
189 };
190 bridgeData?: {
191 url?: string;
192 otherSideUrl?: string;
193 };
194 url?: string;
195 social_profile?: {
196 items: Record<string, unknown>[];
197 };
198 dapp?: {
199 alias?: string;
200 url?: string;
201 description?: string;
202 icon?: string;
203 };
204 owner?: string;
205 tags?: string[];
206 };
207 transfers?: {
208 last24h?: number;
209 last48h?: number;
210 last72h?: number;
211 };
212 holders?: number;
213 market?: {
214 totalSupply?: number;
215 circulatingSupply?: number;
216 burned?: number;
217 price?: number;
218 marketCap?: number;
219 minPriceLast24h?: number;
220 maxPriceLast24h?: number;
221 };
222 };
223 dstToken?: {
224 chainId: string;
225 blockchainId?: string;
226 ecosystems?: string[];
227 address: string;
228 name?: string;
229 symbol?: string;
230 decimals?: number;
231 totalSupply?: string; // bigint
232 price?: string; // bigint
233 priceChange1h?: string; // bigint
234 priceChange24h?: string; // bigint
235 recentMarketPrices?: Record<string, unknown>;
236 marketCap?: string; // bigint
237 volumeUsd24h?: string; // bigint
238 createdAt?: string; // date-time
239 txHash?: string;
240 detail?: {
241 alert?: {
242 description?: string;
243 activeFrom?: string;
244 activeUntil?: string;
245 color?: string;
246 };
247 name?: string;
248 alias?: string;
249 unlock_date?: string; // date-time
250 description?: string;
251 link?: string;
252 icon?: string;
253 iconUrls?: {
254 32?: string;
255 64?: string;
256 256?: string;
257 1024?: string;
258 };
259 type?: string;
260 symbol?: string;
261 reputation?: Record<string, unknown>;
262 bridge?: string;
263 bridged_token?: string;
264 blacklist?: boolean;
265 similar?: string[];
266 similar_token?: string[];
267 supertype?: string;
268 isBridge?: boolean;
269 isContract?: boolean;
270 bridged_chain?: {
271 name?: string;
272 logo?: string;
273 chain_id_evm?: string;
274 external_url?: string;
275 };
276 bridgeData?: {
277 url?: string;
278 otherSideUrl?: string;
279 };
280 url?: string;
281 social_profile?: {
282 items: Record<string, unknown>[];
283 };
284 dapp?: {
285 alias?: string;
286 url?: string;
287 description?: string;
288 icon?: string;
289 };
290 owner?: string;
291 tags?: string[];
292 };
293 transfers?: {
294 last24h?: number;
295 last48h?: number;
296 last72h?: number;
297 };
298 holders?: number;
299 market?: {
300 totalSupply?: number;
301 circulatingSupply?: number;
302 burned?: number;
303 price?: number;
304 marketCap?: number;
305 minPriceLast24h?: number;
306 maxPriceLast24h?: number;
307 };
308 };
309 srcAmount?: string;
310 dstAmount?: string;
311 entrypoint?: {
312 chainId: string;
313 blockchainId?: string;
314 ecosystems?: string[];
315 address: string;
316 name?: string;
317 symbol?: string;
318 decimals?: number;
319 totalSupply?: string; // bigint
320 price?: string; // bigint
321 priceChange1h?: string; // bigint
322 priceChange24h?: string; // bigint
323 recentMarketPrices?: Record<string, unknown>;
324 marketCap?: string; // bigint
325 volumeUsd24h?: string; // bigint
326 createdAt?: string; // date-time
327 txHash?: string;
328 detail?: {
329 alert?: {
330 description?: string;
331 activeFrom?: string;
332 activeUntil?: string;
333 color?: string;
334 };
335 name?: string;
336 alias?: string;
337 unlock_date?: string; // date-time
338 description?: string;
339 link?: string;
340 icon?: string;
341 iconUrls?: {
342 32?: string;
343 64?: string;
344 256?: string;
345 1024?: string;
346 };
347 type?: string;
348 symbol?: string;
349 reputation?: Record<string, unknown>;
350 bridge?: string;
351 bridged_token?: string;
352 blacklist?: boolean;
353 similar?: string[];
354 similar_token?: string[];
355 supertype?: string;
356 isBridge?: boolean;
357 isContract?: boolean;
358 bridged_chain?: {
359 name?: string;
360 logo?: string;
361 chain_id_evm?: string;
362 external_url?: string;
363 };
364 bridgeData?: {
365 url?: string;
366 otherSideUrl?: string;
367 };
368 url?: string;
369 social_profile?: {
370 items: Record<string, unknown>[];
371 };
372 dapp?: {
373 alias?: string;
374 url?: string;
375 description?: string;
376 icon?: string;
377 };
378 owner?: string;
379 tags?: string[];
380 };
381 transfers?: {
382 last24h?: number;
383 last48h?: number;
384 last72h?: number;
385 };
386 holders?: number;
387 market?: {
388 totalSupply?: number;
389 circulatingSupply?: number;
390 burned?: number;
391 price?: number;
392 marketCap?: number;
393 minPriceLast24h?: number;
394 maxPriceLast24h?: number;
395 };
396 };
397 route?: "tag" | "memo";
398 destinationTag?: string;
399 smartAccount?: boolean;
400 feeUBA?: string;
401 agentVault?: string;
402 requestId?: string;
403 crtId?: string;
404 };
405 }[];
406 count?: number;
407 countType?: "exact" | "lowerBound" | "approx";
408 link: {
409 next?: string;
410 nextToken?: string;
411 prev?: string;
412 prevToken?: string;
413 };
414}

Responses

200Default Response

Cross transactions actions by id

GEThttps://api.routescan.io/v2/network/{networkId}/evm/cross-transactions/actions/{id}
GET
https://api.routescan.io/v2/network/mainnet/evm/cross-transactions/actions/2d407ed579925533abfb90569a5f68febb77e82eb75cf910680e94a6cbcc441b?apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/cross-transactions/actions/2d407ed579925533abfb90569a5f68febb77e82eb75cf910680e94a6cbcc441b' \
2 -H 'apikey: YourApiKeyToken'
1{
2 id: string;
3 type: "superchainWETH" | "superchainTokenBridge" | "opL1StandardBridge" | "opDeposited" | "dexalotBridge" | "taikoETHTransfer" | "taikoERC20Vault" | "taikoERC721Vault" | "omniBridge" | "avalancheBTCBridge" | "avalancheETHBridge" | "synapse" | "genericTransfer" | "ICTT" | "OFT" | "ambOmnibridge" | "CCTPTokenMessenger" | "nearIntent" | "superswaps" | "hyperlane" | "eil" | "fAssetsMint" | "fAssetsDirectMint" | "fAssetsRedeem";
4 status: "completed" | "pending" | "failed" | "ready_to_prove";
5 srcChainId: string;
6 srcTimestamp: string; // date-time
7 srcTxHash?: string;
8 srcBlockNumber?: string;
9 srcBlockHash?: string;
10 srcGasLimit?: string;
11 dstChainId: string;
12 dstTimestamp: string; // date-time
13 dstTxHash?: string;
14 dstBlockNumber?: string;
15 dstBlockHash?: string;
16 dstGasLimit?: string;
17 from?: {
18 id: string;
19 name?: string;
20 alias?: string;
21 dapp?: {
22 alias: string;
23 description?: string;
24 socialProfile?: {
25 items: {
26 type: string;
27 title?: string;
28 value: string;
29 }[];
30 };
31 icon?: string;
32 alert?: string;
33 tags?: string[];
34 };
35 owner?: string;
36 icon?: string;
37 url?: string;
38 iconUrls?: {
39 32?: string;
40 64?: string;
41 256?: string;
42 1024?: string;
43 };
44 description?: string;
45 unlock_date?: string; // date-time
46 tags?: string[];
47 symbol?: string;
48 resourceId?: string;
49 reputation?: string;
50 bridge?: string;
51 bridged_token?: string;
52 bridged_chain?: string;
53 bridged_cousins?: string;
54 blacklist?: boolean;
55 supertype?: string;
56 similar?: string[];
57 similar_token?: string[];
58 isContract?: boolean;
59 ensReverseLookups?: {
60 chainId: string;
61 name?: string;
62 }[];
63 avvyReverseLookup?: {
64 chainId: string;
65 name?: string;
66 };
67 socialProfile?: {
68 items: {
69 type: string;
70 title?: string;
71 value: string;
72 }[];
73 };
74 };
75 to?: {
76 id: string;
77 name?: string;
78 alias?: string;
79 dapp?: {
80 alias: string;
81 description?: string;
82 socialProfile?: {
83 items: {
84 type: string;
85 title?: string;
86 value: string;
87 }[];
88 };
89 icon?: string;
90 alert?: string;
91 tags?: string[];
92 };
93 owner?: string;
94 icon?: string;
95 url?: string;
96 iconUrls?: {
97 32?: string;
98 64?: string;
99 256?: string;
100 1024?: string;
101 };
102 description?: string;
103 unlock_date?: string; // date-time
104 tags?: string[];
105 symbol?: string;
106 resourceId?: string;
107 reputation?: string;
108 bridge?: string;
109 bridged_token?: string;
110 bridged_chain?: string;
111 bridged_cousins?: string;
112 blacklist?: boolean;
113 supertype?: string;
114 similar?: string[];
115 similar_token?: string[];
116 isContract?: boolean;
117 ensReverseLookups?: {
118 chainId: string;
119 name?: string;
120 }[];
121 avvyReverseLookup?: {
122 chainId: string;
123 name?: string;
124 };
125 socialProfile?: {
126 items: {
127 type: string;
128 title?: string;
129 value: string;
130 }[];
131 };
132 };
133 crossMessageId?: string;
134 actionType?: "GasGasBridge" | "ERC20GasBridge" | "GasERC20Bridge" | "ERC20ERC20Bridge" | "ERC721ERC721Bridge" | "VoidERC20Bridge" | "ERC20VoidBridge" | "ERC1155ERC1155Bridge" | "ArbitraryFunction";
135 data: {
136 srcToken?: {
137 chainId: string;
138 blockchainId?: string;
139 ecosystems?: string[];
140 address: string;
141 name?: string;
142 symbol?: string;
143 decimals?: number;
144 totalSupply?: string; // bigint
145 price?: string; // bigint
146 priceChange1h?: string; // bigint
147 priceChange24h?: string; // bigint
148 recentMarketPrices?: Record<string, unknown>;
149 marketCap?: string; // bigint
150 volumeUsd24h?: string; // bigint
151 createdAt?: string; // date-time
152 txHash?: string;
153 detail?: {
154 alert?: {
155 description?: string;
156 activeFrom?: string;
157 activeUntil?: string;
158 color?: string;
159 };
160 name?: string;
161 alias?: string;
162 unlock_date?: string; // date-time
163 description?: string;
164 link?: string;
165 icon?: string;
166 iconUrls?: {
167 32?: string;
168 64?: string;
169 256?: string;
170 1024?: string;
171 };
172 type?: string;
173 symbol?: string;
174 reputation?: Record<string, unknown>;
175 bridge?: string;
176 bridged_token?: string;
177 blacklist?: boolean;
178 similar?: string[];
179 similar_token?: string[];
180 supertype?: string;
181 isBridge?: boolean;
182 isContract?: boolean;
183 bridged_chain?: {
184 name?: string;
185 logo?: string;
186 chain_id_evm?: string;
187 external_url?: string;
188 };
189 bridgeData?: {
190 url?: string;
191 otherSideUrl?: string;
192 };
193 url?: string;
194 social_profile?: {
195 items: {
196 type: string;
197 value: string;
198 title?: string;
199 }[];
200 };
201 dapp?: {
202 alias?: string;
203 url?: string;
204 description?: string;
205 icon?: string;
206 };
207 owner?: string;
208 tags?: string[];
209 };
210 transfers?: {
211 last24h?: number;
212 last48h?: number;
213 last72h?: number;
214 };
215 holders?: number;
216 market?: {
217 totalSupply?: number;
218 circulatingSupply?: number;
219 burned?: number;
220 price?: number;
221 marketCap?: number;
222 minPriceLast24h?: number;
223 maxPriceLast24h?: number;
224 };
225 };
226 dstToken?: {
227 chainId: string;
228 blockchainId?: string;
229 ecosystems?: string[];
230 address: string;
231 name?: string;
232 symbol?: string;
233 decimals?: number;
234 totalSupply?: string; // bigint
235 price?: string; // bigint
236 priceChange1h?: string; // bigint
237 priceChange24h?: string; // bigint
238 recentMarketPrices?: Record<string, unknown>;
239 marketCap?: string; // bigint
240 volumeUsd24h?: string; // bigint
241 createdAt?: string; // date-time
242 txHash?: string;
243 detail?: {
244 alert?: {
245 description?: string;
246 activeFrom?: string;
247 activeUntil?: string;
248 color?: string;
249 };
250 name?: string;
251 alias?: string;
252 unlock_date?: string; // date-time
253 description?: string;
254 link?: string;
255 icon?: string;
256 iconUrls?: {
257 32?: string;
258 64?: string;
259 256?: string;
260 1024?: string;
261 };
262 type?: string;
263 symbol?: string;
264 reputation?: Record<string, unknown>;
265 bridge?: string;
266 bridged_token?: string;
267 blacklist?: boolean;
268 similar?: string[];
269 similar_token?: string[];
270 supertype?: string;
271 isBridge?: boolean;
272 isContract?: boolean;
273 bridged_chain?: {
274 name?: string;
275 logo?: string;
276 chain_id_evm?: string;
277 external_url?: string;
278 };
279 bridgeData?: {
280 url?: string;
281 otherSideUrl?: string;
282 };
283 url?: string;
284 social_profile?: {
285 items: {
286 type: string;
287 value: string;
288 title?: string;
289 }[];
290 };
291 dapp?: {
292 alias?: string;
293 url?: string;
294 description?: string;
295 icon?: string;
296 };
297 owner?: string;
298 tags?: string[];
299 };
300 transfers?: {
301 last24h?: number;
302 last48h?: number;
303 last72h?: number;
304 };
305 holders?: number;
306 market?: {
307 totalSupply?: number;
308 circulatingSupply?: number;
309 burned?: number;
310 price?: number;
311 marketCap?: number;
312 minPriceLast24h?: number;
313 maxPriceLast24h?: number;
314 };
315 };
316 srcAmount?: string;
317 dstAmount?: string;
318 entrypoint?: {
319 chainId: string;
320 blockchainId?: string;
321 ecosystems?: string[];
322 address: string;
323 name?: string;
324 symbol?: string;
325 decimals?: number;
326 totalSupply?: string; // bigint
327 price?: string; // bigint
328 priceChange1h?: string; // bigint
329 priceChange24h?: string; // bigint
330 recentMarketPrices?: Record<string, unknown>;
331 marketCap?: string; // bigint
332 volumeUsd24h?: string; // bigint
333 createdAt?: string; // date-time
334 txHash?: string;
335 detail?: {
336 alert?: {
337 description?: string;
338 activeFrom?: string;
339 activeUntil?: string;
340 color?: string;
341 };
342 name?: string;
343 alias?: string;
344 unlock_date?: string; // date-time
345 description?: string;
346 link?: string;
347 icon?: string;
348 iconUrls?: {
349 32?: string;
350 64?: string;
351 256?: string;
352 1024?: string;
353 };
354 type?: string;
355 symbol?: string;
356 reputation?: Record<string, unknown>;
357 bridge?: string;
358 bridged_token?: string;
359 blacklist?: boolean;
360 similar?: string[];
361 similar_token?: string[];
362 supertype?: string;
363 isBridge?: boolean;
364 isContract?: boolean;
365 bridged_chain?: {
366 name?: string;
367 logo?: string;
368 chain_id_evm?: string;
369 external_url?: string;
370 };
371 bridgeData?: {
372 url?: string;
373 otherSideUrl?: string;
374 };
375 url?: string;
376 social_profile?: {
377 items: {
378 type: string;
379 value: string;
380 title?: string;
381 }[];
382 };
383 dapp?: {
384 alias?: string;
385 url?: string;
386 description?: string;
387 icon?: string;
388 };
389 owner?: string;
390 tags?: string[];
391 };
392 transfers?: {
393 last24h?: number;
394 last48h?: number;
395 last72h?: number;
396 };
397 holders?: number;
398 market?: {
399 totalSupply?: number;
400 circulatingSupply?: number;
401 burned?: number;
402 price?: number;
403 marketCap?: number;
404 minPriceLast24h?: number;
405 maxPriceLast24h?: number;
406 };
407 };
408 route?: "tag" | "memo";
409 destinationTag?: string;
410 smartAccount?: boolean;
411 feeUBA?: string;
412 agentVault?: string;
413 requestId?: string;
414 crtId?: string;
415 };
416}

Responses

200Default Response

Cross transactions messages

GEThttps://api.routescan.io/v2/network/{networkId}/evm/cross-transactions/messages
GET
ecosystemstringoptional
includedChainIdsarray<string>optional
excludedChainIdsarray<string>optional
https://api.routescan.io/v2/network/mainnet/evm/cross-transactions/messages?chainId=43114&sort=desc&limit=25&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/cross-transactions/messages?chainId=43114&sort=desc&limit=25' \
2 -H 'apikey: YourApiKeyToken'
1{
2 items: {
3 id: string;
4 type: "opStackPreBedrockTx" | "opStackBedrockTx" | "teleporterTx" | "omni" | "opSuperchainInterop" | "taiko" | "layerZero" | "amb" | "CCTP" | "hyperlane";
5 status: "completed" | "pending" | "failed" | "ready_to_prove";
6 srcChainId: string;
7 srcTimestamp: string; // date-time
8 srcTxHash?: string;
9 srcBlockNumber?: string;
10 srcBlockHash?: string;
11 srcGasLimit?: string;
12 dstChainId: string;
13 dstTimestamp: string; // date-time
14 dstTxHash?: string;
15 dstBlockNumber?: string;
16 dstBlockHash?: string;
17 dstGasLimit?: string;
18 from?: {
19 id: string;
20 name?: string;
21 alias?: string;
22 dapp?: {
23 alias: string;
24 description?: string;
25 socialProfile?: {
26 items: {
27 type: string;
28 title?: string;
29 value: string;
30 }[];
31 };
32 icon?: string;
33 alert?: string;
34 tags?: string[];
35 };
36 owner?: string;
37 icon?: string;
38 url?: string;
39 iconUrls?: {
40 32?: string;
41 64?: string;
42 256?: string;
43 1024?: string;
44 };
45 description?: string;
46 unlock_date?: string; // date-time
47 tags?: string[];
48 symbol?: string;
49 resourceId?: string;
50 reputation?: string;
51 bridge?: string;
52 bridged_token?: string;
53 bridged_chain?: string;
54 bridged_cousins?: string;
55 blacklist?: boolean;
56 supertype?: string;
57 similar?: string[];
58 similar_token?: string[];
59 isContract?: boolean;
60 ensReverseLookups?: {
61 chainId: string;
62 name?: string;
63 }[];
64 avvyReverseLookup?: {
65 chainId: string;
66 name?: string;
67 };
68 socialProfile?: {
69 items: {
70 type: string;
71 title?: string;
72 value: string;
73 }[];
74 };
75 };
76 to?: {
77 id: string;
78 name?: string;
79 alias?: string;
80 dapp?: {
81 alias: string;
82 description?: string;
83 socialProfile?: {
84 items: {
85 type: string;
86 title?: string;
87 value: string;
88 }[];
89 };
90 icon?: string;
91 alert?: string;
92 tags?: string[];
93 };
94 owner?: string;
95 icon?: string;
96 url?: string;
97 iconUrls?: {
98 32?: string;
99 64?: string;
100 256?: string;
101 1024?: string;
102 };
103 description?: string;
104 unlock_date?: string; // date-time
105 tags?: string[];
106 symbol?: string;
107 resourceId?: string;
108 reputation?: string;
109 bridge?: string;
110 bridged_token?: string;
111 bridged_chain?: string;
112 bridged_cousins?: string;
113 blacklist?: boolean;
114 supertype?: string;
115 similar?: string[];
116 similar_token?: string[];
117 isContract?: boolean;
118 ensReverseLookups?: {
119 chainId: string;
120 name?: string;
121 }[];
122 avvyReverseLookup?: {
123 chainId: string;
124 name?: string;
125 };
126 socialProfile?: {
127 items: {
128 type: string;
129 title?: string;
130 value: string;
131 }[];
132 };
133 };
134 data: Record<string, unknown>;
135 }[];
136 count?: number;
137 countType?: "exact" | "lowerBound" | "approx";
138 link: {
139 next?: string;
140 nextToken?: string;
141 prev?: string;
142 prevToken?: string;
143 };
144}

Responses

200Default Response

Cross transactions messages by id

GEThttps://api.routescan.io/v2/network/{networkId}/evm/cross-transactions/messages/{id}
GET
https://api.routescan.io/v2/network/mainnet/evm/cross-transactions/messages/69fe2ca738b055bbb2a86f08748ddf9b686c82120e965c53e5ea56aea674dc57?apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/cross-transactions/messages/69fe2ca738b055bbb2a86f08748ddf9b686c82120e965c53e5ea56aea674dc57' \
2 -H 'apikey: YourApiKeyToken'
1{
2 id: string;
3 type: "opStackPreBedrockTx" | "opStackBedrockTx" | "teleporterTx" | "omni" | "opSuperchainInterop" | "taiko" | "layerZero" | "amb" | "CCTP" | "hyperlane";
4 status: "completed" | "pending" | "failed" | "ready_to_prove";
5 srcChainId: string;
6 srcTimestamp: string; // date-time
7 srcTxHash?: string;
8 srcBlockNumber?: string;
9 srcBlockHash?: string;
10 srcGasLimit?: string;
11 dstChainId: string;
12 dstTimestamp: string; // date-time
13 dstTxHash?: string;
14 dstBlockNumber?: string;
15 dstBlockHash?: string;
16 dstGasLimit?: string;
17 from?: {
18 id: string;
19 name?: string;
20 alias?: string;
21 dapp?: {
22 alias: string;
23 description?: string;
24 socialProfile?: {
25 items: {
26 type: string;
27 title?: string;
28 value: string;
29 }[];
30 };
31 icon?: string;
32 alert?: string;
33 tags?: string[];
34 };
35 owner?: string;
36 icon?: string;
37 url?: string;
38 iconUrls?: {
39 32?: string;
40 64?: string;
41 256?: string;
42 1024?: string;
43 };
44 description?: string;
45 unlock_date?: string; // date-time
46 tags?: string[];
47 symbol?: string;
48 resourceId?: string;
49 reputation?: string;
50 bridge?: string;
51 bridged_token?: string;
52 bridged_chain?: string;
53 bridged_cousins?: string;
54 blacklist?: boolean;
55 supertype?: string;
56 similar?: string[];
57 similar_token?: string[];
58 isContract?: boolean;
59 ensReverseLookups?: {
60 chainId: string;
61 name?: string;
62 }[];
63 avvyReverseLookup?: {
64 chainId: string;
65 name?: string;
66 };
67 socialProfile?: {
68 items: {
69 type: string;
70 title?: string;
71 value: string;
72 }[];
73 };
74 };
75 to?: {
76 id: string;
77 name?: string;
78 alias?: string;
79 dapp?: {
80 alias: string;
81 description?: string;
82 socialProfile?: {
83 items: {
84 type: string;
85 title?: string;
86 value: string;
87 }[];
88 };
89 icon?: string;
90 alert?: string;
91 tags?: string[];
92 };
93 owner?: string;
94 icon?: string;
95 url?: string;
96 iconUrls?: {
97 32?: string;
98 64?: string;
99 256?: string;
100 1024?: string;
101 };
102 description?: string;
103 unlock_date?: string; // date-time
104 tags?: string[];
105 symbol?: string;
106 resourceId?: string;
107 reputation?: string;
108 bridge?: string;
109 bridged_token?: string;
110 bridged_chain?: string;
111 bridged_cousins?: string;
112 blacklist?: boolean;
113 supertype?: string;
114 similar?: string[];
115 similar_token?: string[];
116 isContract?: boolean;
117 ensReverseLookups?: {
118 chainId: string;
119 name?: string;
120 }[];
121 avvyReverseLookup?: {
122 chainId: string;
123 name?: string;
124 };
125 socialProfile?: {
126 items: {
127 type: string;
128 title?: string;
129 value: string;
130 }[];
131 };
132 };
133 data: Record<string, unknown>;
134}

Responses

200Default Response
Questions? Contact us